[ES Logic] Auto-Generate Data ke Modul Sales dan Accounting saat Pesanan Baru dari CRM
10/15/2025 02:21 PM - Mr Dhafin

Status: Assigned Start date: 10/15/2025
Priority: High Due date: 10/19/2025
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Tim Developer,

Mohon bantuannya untuk melakukan pengembangan agar dapat memastikan bahwa setiap pesanan baru yang dibuat melalui CRM
dapat secara otomatis menghasilkan transaksi yang konsisten di modul Sales dan Accounting, sehingga alur data antar-modul (CRM
— Sales — Finance) berjalan seamless tanpa perlu input manual.

1. Kebutuhan Otomatisasi

Modul Sales

* Tabel: PTRSALESHEADER, PTRSALESITEMS

* DocType: SORD

* Deskripsi: Membentuk header dan detail transaksi penjualan berdasarkan data pesanan dari CRM.
+ Data yang terbentuk otomatis:

 Header: DocNo, CustomerlD, BookingDate, TotalAmount, Status (default: Pending)

* Items: ltemCode, Quantity, UnitPrice, Subtotal

* Relasi: Setiap DocNo menyimpan CRMOrderID untuk traceability.

2) Modul Accounting

« Tabel: PTRFINANCEHEAD, PTRFINANCEITEM

* DocType: AR

* Deskripsi: Membentuk jurnal piutang otomatis berdasarkan total pesanan.

+ Data yang terbentuk otomatis:

* Header: FinanceDocNo, PostingDate, RefDocType (SORD), RefDocNo (DocNo), CustomerlD
« Iltem Debit: Account Receivable

* Item Credit: Revenue

* Relasi: RefDocNo mengacu pada DocNo dari modul Sales.

3. Kondisi Trigger Otomatis

» Saat Status Pesanan CRM = "Booking", sistem menjalankan:

« Auto-generate ke PTRSALESHEADER dan PTRSALESITEMS.

* Auto-generate jurnal keuangan ke PTRFINANCEHEAD dan PTRFINANCEITEM (status Draft).
+ Saat Customer melakukan pembayaran (CRM Status = Paid):

» Update Service Order menjadi "Submitted".

 Update status transaksi di modul Accounting menjadi "Posted".

alamat = https://demo-golfcourse.minovais.com/
database = 103.153.60.89
nama database = MinovaES_DEMO_GolfCourse

History

#1 - 10/15/2025 02:35 PM - Mr Dhafin

Accounting tidak otomatis terbentuk dari CRM, karena status pembayaran (Paid) baru diketahui setelah admin melakukan verifikasi di ES.
Jadi:
Dari CRM (status = Booking) — hanya auto-generate ke Sales (PTRSALESHEADER, PTRSALESITEMS).

Accounting (PTRFINANCEHEAD, PTRFINANCEITEM) baru terbentuk otomatis saat admin di ES menyimpan transaksi dan mengubah status
menjadi “Paid”.

Dengan begitu, pencatatan keuangan tetap terkontrol manual oleh admin, bukan otomatis dari CRM.
#2 - 10/15/2025 02:55 PM - Mr Dhafin

- Subject changed from [ES Logic] Auto-Generate Data ke Modul Sales, Inventory, dan Accounting saat Pesanan Baru dari CRM to [ES Logic]
Auto-Generate Data ke Modul Sales dan Accounting saat Pesanan Baru dari CRM

#3 - 10/15/2025 04:24 PM - Kezia Pawitra Yulianti

- Assignee changed from Kezia Pawitra Yulianti to Mr Dhafin

redmine nya di pisah aja ya antara yg via CRM dan yg update dr saving ES.
jadi yg accounting nya assign ke mbak yomma aja

catatan sya untuk accounting:
trigger kebentuk jurnal GL accounting saat doc sales nya di rubah statusnya dari booking menjadi paid dgn status post di GL tsb

oh iya Fin, cek donk waktu itu notes sol requierement dan penamaan statusnya apa aja yaa setiap flow yg berjalan? seinget saya tidk ada yg
statusnya pending deh.

Pls cek lagi ya catatan2 di kertas waktu itu

Tks

#4 - 10/15/2025 05:30 PM - Mr Dhafin

- Assignee changed from Mr Dhafin to Kezia Pawitra Yulianti

Proses Otomatisasi via ES

1. Modul Accounting

» Tabel: PTRFINANCEHEAD, PTRFINANCEITEM

* DocType: GL

* Fungsi: Membuat jurnal keuangan otomatis setelah admin memverifikasi bahwa pembayaran sudah masuk.

Data yang otomatis terbentuk
Header

* FinanceDocNo

* PostingDate

* RefDocType = SORD

» RefDocNo = Nomor Sales (DocNo)
+ CustomerID

Detail (Item)
* Debit: Account Receivable
* Credit: Revenue

Relasi

» RefDocNo mengacu ke DocNo dari modul Sales.

Kapan terbentuk otomatis

+ Saat admin di ES mengubah status transaksi menjadi “Paid”:

1. Status Service Order berubah dari Submited — Paid.

2. Sistem otomatis membuat jurnal keuangan (PTRFINANCEHEAD & PTRFINANCEITEM) dengan status Draft.
3. Setelah disetujui, status jurnal berubah jadi Post.

Catatan:
Dengan cara ini, pencatatan keuangan tetap dikontrol manual oleh admin, tidak langsung dari CRM.

#5 - 10/15/2025 05:35 PM - Mr Dhafin

Untuk yang CRM sudah saya buatkan juga bu sebelumnya dan sudah saya assign ke mas Alwi

#6 - 10/15/2025 05:42 PM - Mr Dhafin

- Tracker changed from Bug to Feature

#7 - 10/17/2025 09:41 AM - Mr Dhafin

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

#8 - 10/17/2025 10:35 AM - Tri Rizqgiaty
- Assignee changed from Tri Rizqiaty to Mr Dhafin

Dhafin, untuk integrasi sales dgn accounting, tolong setting glaccountnya di tbl PFILOINTEGRATE.
Untuk cara setting bisa liat di db TulisanDev / tanya Haykal.
#9 - 10/17/2025 11:04 AM - Mr Dhafin
- Assignee changed from Mr Dhafin to Tri Rizqgiaty

Sudah ya mba, GL accountnya udah saya setting di tabel PFILOINTEGRATE. Terimakasih

#10 - 10/17/2025 02:44 PM - Tri Rizqiaty

- Assignee changed from Tri Rizqiaty to Mr Dhafin

Dhafin,

- Field-field yg didaftarin di PFILOINTEGRATE sebagai Figure harus ada ditbl fisik & sdatatablefield TableRef (tidak perlu menambahkan field baru
klo ga dibutuhin)

- GLAccount jd harus sesuai dengan tbl PCMFILOCOAGL & PCMFILOACCCOMPANY

- Jika Figure atau GLAccount tdk sesuai dengan kebutuhan Demo Golf, jangan didaftarin / jangan mengikuti settingan full tulisan

Tolong dirubah Ig ya.

#11 - 10/20/2025 10:19 AM - Kezia Pawitra Yulianti

sesuai pesen saya kemarin, tolong diskusi lebih intens ama haykal untuk kebutuhan setting2an ini ya supaya lebih paham.
bila perlu duduk bareng jd bs tektokan Igs jg ama mbak yomma kl ada yg diperlukan

Tks

#12 - 10/20/2025 01:51 PM - Mr Dhafin
- Assignee changed from Mr Dhafin to Tri Rizqgiaty

Udh saya perbaiki ya mba, untuk PaymentTypenya bisa menggunakan table ini ya mba PAYMENTBANKPARAMETER
